Subject: Re: P: nm and MS-Libs
From: Alexander Mader <[email-masked]>
To: [email-masked]
Date: Thu, 14 Oct 1999 06:04:42 +0200

Hallo,

my original problem

Alexander Mader schrieb:
> in order to make MSNAME.a from a MSNAME.lib I try to extract the symbols
> the following way
> 
>         echo "EXPORTS" > msname.def;
> 
>         nm --demangle --defined-only MSNAME.lib \
>         |sed -n 's/^.* T //p' >> msname.def
> 
>         dlltool --dllname MSNAME.DLL --def msname.def \
> 
>         --output-lib libmsname.a
> 
> Unfortunately I get
> 
>         nm: MSNAME.DLL: File format not recognized

was solved. The lib was MSVC 6 and I did 

	lib /convert msname.lib

and got a lib to proceed with.

Alexander.
-- 
Alexander Mader <[email-masked]>	Fon: +49-30-92797-556
NILES Werkzeugmaschinenfabrik GmbH

--
Want to unsubscribe from this list?
Send a message to [email-masked]